Navigation: Home ›  Products ›  OpenMP

Notes to the use of OpenMP and MPI model versions

WaSiM supports Open Multi-Processing (OpenMP) since 2007 (WaSiM 7.5 and higher).

The shared memory programming used within WaSiM allows an optimal exploitation of multi-core computer power. The provided OpenMP model versions run under environment of both operational systems, Windows and Linux.

For all Windows versions using OpenMP the free Microsoft Visual C++ Runtime DLLs must be installed.

Download via your favorite search engine by typing in:
"Microsoft Visual C++ 2010 Redistributable Package" for WaSiM up to 9.08.02 (32 and 64 bit)
"Microsoft Visual C++ 2013 Redistributable Package" for WaSiM 9.08.03 and higher (32 and 64 bit)

see also: lib-package 32-bit and lib-package 64-bit

Parallel model simulations using distributed computer systems (i.e. super computers) via Message Passing Interface (MPI) are possible as well. Special MPI versions, also nested with OpenMP, are available by the author, but usually they must be compiled directly on the super computer they should run on. For using the MPI model versions you need to have installed some MPI-framework like MPICH2 on Windows or the mpi packages on Linux.

back top home

WaSiM-News

12/11/2016

new patch availabe:
WaSiM 9.10.01 -> More »

Third WaSiM User Conference in Munich, October 18-19 2017:
Announcement -> More »